<?php
include_once('config.php');
include_once('regzamail_config.php');
include_once( INSTALL_PATH . "/DBRecord.class.php" );
include_once( INSTALL_PATH . "/Smarty/Smarty.class.php" );
include_once( INSTALL_PATH . "/reclib.php" );
if( ! isset( $_GET['program_id'] ) ) exit("Error: 番組IDが指定されていません" );
$program_id = $_GET['program_id'];

try {
  $prec = new DBRecord( PROGRAM_TBL, "id", $program_id );
  $ch   = new DBRecord( CHANNEL_TBL, "id", $prec->channel_id );
  $cat  = new DBRecord( CATEGORY_TBL,"id", $prec->category_id );

  sscanf( $prec->starttime, "%4d-%2d-%2d %2d:%2d:%2d", $syear, $smonth, $sday, $shour, $smin, $ssec );
  sscanf( $prec->endtime, "%4d-%2d-%2d %2d:%2d:%2d", $eyear, $emonth, $eday, $ehour, $emin, $esec );
  
//$crecs = DBRecord::createRecords( CATEGORY_TBL );
//$cats = array();
//foreach( $crecs as $crec ) {
//  cat = array();
//  cat['id'] = $crec->id;
//  cat['name'] = $crec->name_jp;
//  cat['selected'] = $prec->category_id == $cat['id'] ? "selected" : "";
//
//  array_push( $cats , $cat );
//}

  if ($ch->type === "GR") {						// チャンネルIDを求める
     foreach ($REGZA_CHANNEL_MAP as $key => $value) {
		if ($ch->type.$ch->channel === $key) {
			$regza_ch = $value;
			}
		}
    } else if ($ch->type === "BS") {
		   $regza_ch = $ch->type.$ch->channel;
  } else if ($ch->sid === "hd") {
		   throw new Exception( "CSの予約はSIDを設定が必要です。\n");
  } else { $regza_ch = $ch->type.$ch->sid;
      }

  $usbs = array();
  foreach( $REGZA_HDD  as $key => $value ) {    // USB HDD選択
	$usb = array();
	$usb['id'] = $key;
	$usb['name'] = $value;
	$usb['selected'] = REGZA_HDD_DEFAULT == $usb['id'] ? "selected" : "";
	
	array_push( $usbs , $usb );
  }

  
  $smarty = new Smarty();
  
  $smarty->assign( "syear", $syear );
  $smarty->assign( "smonth", $smonth );
  $smarty->assign( "sday", $sday );
  $smarty->assign( "shour", $shour );
  $smarty->assign( "smin" ,$smin );
  $smarty->assign( "eyear", $eyear );
  $smarty->assign( "emonth", $emonth );
  $smarty->assign( "eday", $eday );
  $smarty->assign( "ehour", $ehour );
  $smarty->assign( "emin" ,$emin );
  
  $smarty->assign( "type", $prec->type );
  $smarty->assign( "channel", $prec->channel );
  $smarty->assign( "channel_id", $prec->channel_id );
  $smarty->assign( "regza_ch", $regza_ch );
  $smarty->assign( "channel_name", $ch->name);

  $smarty->assign( "title", $prec->title );
  $smarty->assign( "description", $prec->description );

  $smarty->assign( "cat" , $cat->name_jp );
  $smarty->assign( "category_id",$prec->category_id );
//$smarty->assign( "cats" , $cats );
  $smarty->assign( "regza_no" , $REGZA_NO );
  $smarty->assign( "usbs" , $usbs );
  
  $smarty->assign( "program_id", $prec->id );
  
  $smarty->display("regzamailform.html");
}
catch( exception $e ) {
	exit( "Error:". $e->getMessage() );
}
?>