<?php
include_once('config.php');
include_once('regzamail_config.php');
include_once( INSTALL_PATH . '/DBRecord.class.php' );
include_once( INSTALL_PATH . '/Smarty/Smarty.class.php' );
include_once( INSTALL_PATH . '/Settings.class.php' );
include_once( INSTALL_PATH . '/regzalib.php' );
include_once( INSTALL_PATH . "/regzamailrecLog.inc.php" );

$settings = Settings::factory();

// 曜日
$modes = array(
			array( "name" => "予約データ", "no" =>0 , "id" => E_RDATA,  "selected" => "" ),
			array( "name" => "エラー"    , "no" =>1 , "id" => E_RERROR, "selected" => "" ),
			array( "name" => "全て"      , "no" =>2 , "id" => 9,        "selected" => "" ),
);

$stdate = NextRegzaTime(date("Y-m-d H:i:s"));

$mode_no = 0;
if(isset( $_POST['do_search'] )) {
   if(isset( $_POST['mode_no'] )) {
       $mode_no = (int)($_POST['mode_no']);
       }
   }
try{
	if ($modes[$mode_no][id] == 9) {
	    $where = " ";
	} else {
	    $where = " WHERE level = ".$modes[$mode_no][id]." ";
        }
	$logtbl = DBRecord::createRecords( REGZA_LOG_TBL, $where."ORDER BY logtime DESC" );
	$logs = array();
	foreach( $logtbl as $l ) {
	    $arr = array();
	    $arr['level']      = $l->level;
	    $arr['logtime']    = $l->logtime;
	    $arr['message']    = str_replace("dtvopen","<br>dtvopen", $l->message);
	    $arr['regzarresp'] = $l->regzarresp;
	    array_push( $logs, $arr );
	}

	$modes["$mode_no"]["selected"] = "selected" ;

	$smarty = new Smarty();

	$smarty->assign( "sitetitle" , strtoupper($_SERVER["SERVER_NAME"])."&nbsp;&nbsp;&nbsp;"."REGZA メールログ" );
	$smarty->assign( "logs", $logs );
	$smarty->assign("stdate", $stdate);
	$smarty->assign( "modes", $modes );
	$smarty->display( "regzamaillogTable.html" );
	}
catch( exception $e ) {
}	exit( $e->getMessage() );

?>