<?php
//define( "REGZA_LOG_TBL","RegzaMaillogTbl" );
include_once('regzamail_config.php');

define( "E_RINFO" , 0 );
define( "E_RWARNING", 1 );
define( "E_RERROR" , 2 );
define( "E_RDATA" , 3 );

function RegzaReclog( $message , $level = E_RINFO ,$regza_req = "",$program_id = 0,$resp = "") {

	try {
		$log = new DBRecord( REGZA_LOG_TBL );
		
		$log->logtime = date("Y-m-d H:i:s");
		$log->level = $level;
		$log->message = $message;
        if ($level == E_RDATA) {
			$log->regzareq   = $regza_req;
			$log->program_id = $program_id;
			}
		if ($resp != "") {
            $log->regzarresp = $resp;
			}
	}
	catch( Exception $e ) {
    RegzaCreate( );
		// 
	}
}

// Log쐬̃G[́Ce[uȂƉ肵e[u쐬B
// G[̃O͏ȂƂɂB


define( "REGZA_LOG_STRUCT",
	"id integer not null auto_increment primary key".				// ID
	",logtime  datetime not null default '1970-01-01 00:00:00'".	// L^
	",level integer not null default '0'".							// G[x
	",message varchar(512) not null default ''".					// bZ[W
	",regzareq varchar(48) not null".								// REGZA Mailp
	",regzarresp varchar(128) not null".							// REGZA MailbZ[W
	",program_id int(11) not null default '0'".						// Program id(ԑg)
	",index RegzaMaillog_req_idx (regzareq)".						// CfbNX
	",index RegzaMaillog_pid_idx (program_id)".
	""
);

function RegzaCreate( ) {
   $rec = new DBRecord( REGZA_LOG_TBL );
   $rec->createTable( REGZA_LOG_STRUCT );
}
?>
